Package org.drinkless.tdlib

# Class TdApi.GetReceivedGifts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ReceivedGifts>
org.drinkless.tdlib.TdApi.GetReceivedGifts

Enclosing class:
  `TdApi`

public static class TdApi.GetReceivedGifts extends TdApi.Function<TdApi.ReceivedGifts>
Returns gifts received by the given user or chat.

Returns `ReceivedGifts`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `businessConnectionId`
  Unique identifier of business connection on behalf of which to send the request; for bots only.
  `int`
  `collectionId`
  Pass collection identifier to get gifts only from the specified collection; pass 0 to get gifts regardless of collections.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `excludeHosted`
  Pass true to exclude gifts that are just hosted and are not owned by the owner.
  `boolean`
  `excludeNonUpgradable`
  Pass true to exclude gifts that can be purchased limited number of times and can't be upgraded.
  `boolean`
  `excludeSaved`
  Pass true to exclude gifts that are saved to the chat's profile page.
  `boolean`
  `excludeUnlimited`
  Pass true to exclude gifts that can be purchased unlimited number of times.
  `boolean`
  `excludeUnsaved`
  Pass true to exclude gifts that aren't saved to the chat's profile page.
  `boolean`
  `excludeUpgradable`
  Pass true to exclude gifts that can be purchased limited number of times and can be upgraded.
  `boolean`
  `excludeUpgraded`
  Pass true to exclude upgraded gifts.
  `boolean`
  `excludeWithoutColors`
  Pass true to exclude gifts that can't be used in setUpgradedGiftColors.
  `int`
  `limit`
  The maximum number of gifts to be returned; must be positive and can't be greater than 100.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `TdApi.MessageSender`
  `ownerId`
  Identifier of the gift receiver.
  `boolean`
  `sortByPrice`
  Pass true to sort results by gift price instead of send date.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetReceivedGifts()`
  Default constructor for a function, which returns gifts received by the given user or chat.
  `GetReceivedGifts(String businessConnectionId, TdApi.MessageSender ownerId, int collectionId, boolean excludeUnsaved, boolean excludeSaved, boolean excludeUnlimited, boolean excludeUpgradable, boolean excludeNonUpgradable, boolean excludeUpgraded, boolean excludeWithoutColors, boolean excludeHosted, boolean sortByPrice, String offset, int limit)`
  Creates a function, which returns gifts received by the given user or chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### businessConnectionId

    public String businessConnectionId
    Unique identifier of business connection on behalf of which to send the request; for bots only.

  - ### ownerId

    public TdApi.MessageSender ownerId
    Identifier of the gift receiver.

  - ### collectionId

    public int collectionId
    Pass collection identifier to get gifts only from the specified collection; pass 0 to get gifts regardless of collections.

  - ### excludeUnsaved

    public boolean excludeUnsaved
    Pass true to exclude gifts that aren't saved to the chat's profile page. Always true for gifts received by other users and channel chats without canPostMessages administrator right.

  - ### excludeSaved

    public boolean excludeSaved
    Pass true to exclude gifts that are saved to the chat's profile page. Always false for gifts received by other users and channel chats without canPostMessages administrator right.

  - ### excludeUnlimited

    public boolean excludeUnlimited
    Pass true to exclude gifts that can be purchased unlimited number of times.

  - ### excludeUpgradable

    public boolean excludeUpgradable
    Pass true to exclude gifts that can be purchased limited number of times and can be upgraded.

  - ### excludeNonUpgradable

    public boolean excludeNonUpgradable
    Pass true to exclude gifts that can be purchased limited number of times and can't be upgraded.

  - ### excludeUpgraded

    public boolean excludeUpgraded
    Pass true to exclude upgraded gifts.

  - ### excludeWithoutColors

    public boolean excludeWithoutColors
    Pass true to exclude gifts that can't be used in setUpgradedGiftColors.

  - ### excludeHosted

    public boolean excludeHosted
    Pass true to exclude gifts that are just hosted and are not owned by the owner.

  - ### sortByPrice

    public boolean sortByPrice
    Pass true to sort results by gift price instead of send date.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of gifts to be returned; must be positive and can't be greater than 100. For optimal performance, the number of returned objects is chosen by TDLib and can be smaller than the specified limit.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetReceivedGifts

    public GetReceivedGifts()
    Default constructor for a function, which returns gifts received by the given user or chat.

    Returns `ReceivedGifts`

  - ### GetReceivedGifts

    public GetReceivedGifts(String businessConnectionId, TdApi.MessageSender ownerId, int collectionId, boolean excludeUnsaved, boolean excludeSaved, boolean excludeUnlimited, boolean excludeUpgradable, boolean excludeNonUpgradable, boolean excludeUpgraded, boolean excludeWithoutColors, boolean excludeHosted, boolean sortByPrice, String offset, int limit)
    Creates a function, which returns gifts received by the given user or chat.

    Returns `ReceivedGifts`

    Parameters:
      `businessConnectionId` - Unique identifier of business connection on behalf of which to send the request; for bots only.
      `ownerId` - Identifier of the gift receiver.
      `collectionId` - Pass collection identifier to get gifts only from the specified collection; pass 0 to get gifts regardless of collections.
      `excludeUnsaved` - Pass true to exclude gifts that aren't saved to the chat's profile page. Always true for gifts received by other users and channel chats without canPostMessages administrator right.
      `excludeSaved` - Pass true to exclude gifts that are saved to the chat's profile page. Always false for gifts received by other users and channel chats without canPostMessages administrator right.
      `excludeUnlimited` - Pass true to exclude gifts that can be purchased unlimited number of times.
      `excludeUpgradable` - Pass true to exclude gifts that can be purchased limited number of times and can be upgraded.
      `excludeNonUpgradable` - Pass true to exclude gifts that can be purchased limited number of times and can't be upgraded.
      `excludeUpgraded` - Pass true to exclude upgraded gifts.
      `excludeWithoutColors` - Pass true to exclude gifts that can't be used in setUpgradedGiftColors.
      `excludeHosted` - Pass true to exclude gifts that are just hosted and are not owned by the owner.
      `sortByPrice` - Pass true to sort results by gift price instead of send date.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of gifts to be returned; must be positive and can't be greater than 100. For optimal performance, the number of returned objects is chosen by TDLib and can be smaller than the specified limit.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ReceivedGifts>`
    Returns:
      this.CONSTRUCTOR